module Totvs
  module PasswordVault
    class Response
      # @!attribute status_code
      #   @return [Integer]
      attr_reader :status_code

      # @!attribute body
      #   @return [String]
      attr_reader :body

      # @!attribute content_type
      #   @return [String]
      attr_reader :content_type

      # @param status_code [Integer] the status code
      # @param body [String]
      # @param content_type
      def initialize(status_code:, body:, content_type:)
        @status_code = status_code
        @body = body
        @content_type = content_type
      end

      # @return [Boolean]
      def success?
        status_code >= 200 && status_code < 300
      end
    end
  end
end
